MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026675Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-09-10 15:492017-12-14 16:37
Reporternbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.1 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026675: Eliminate normalization of coordinates in ApproxInt package
DescriptionExisting version of OCCT makes incorrect transformation of source data (e.g. Walking-line obtained by intersection). I.e. every (of seven) coordinates of Walking-line is inscribed in range [0, 1]. It usually leads to change of curvature of approximated line and sometimes makes the quality of approximation worse.

Additionally, the fix of this problem will be able to help to fix some regressions enumerated in message 0026431:0045178.
Steps To ReproduceCreation test case for this issue is impossible. However, while investigation of regressions, some problem(s) has been detected. They are described in new issues (related to this bug) and in created test cases (it has already been attached to the branch).
TagsNo tags attached.
Test case numberbugs modalg_6 bug26675
Attached Files

- Relationships
related to 0025929closedbugmaster Open CASCADE Make Approx_ComputeLine algorithm adaptive 
related to 0026740assignedmsv Open CASCADE Modeling Algorithms - Incorrect result of blend operation in "blend simple X4" test case 
related to 0026777closedbugmaster Open CASCADE Incorrect result of intersection part of bsection operation 
related to 0026814closedmsv Open CASCADE Strange result of Boolean operation in "boolean bsection N2" test case 
related to 0026815closedmsv Open CASCADE The algorithm of sharing edges in Boolean operation should be improved 
related to 0026816newmsv Open CASCADE Boolean operation produces invalid shape in "bugs modalg_5 bug25838" test case 
related to 0026752closedbugmaster Open CASCADE Wrong intersection curve in bugs modalg_5 bug24585_1 test case 
related to 0026417closedbugmaster Open CASCADE Invalid result in "bugs modalg_5 bug25319_1, bug25319_2" test cases 
related to 0000602assignednbv Open CASCADE Exception during filet creation if it cross samedge of cylinder. 

-  Notes
(0045787)
git (administrator)
2015-09-17 14:23

Branch CR26675 has been created by nbv.

SHA-1: 336f475a73e8b15d5f64e55ce06774656507df15


Detailed log of new commits:

Author: nbv
Date: Thu Sep 17 11:47:16 2015 +0300

    0026675: Eliminate normalization of coordinates in ApproxInt package
    
    Normalization has been eliminated.
    
    Additionally,
    1. Some methods of AppDef_Compute and ApproxInt_MultiLine classes have become inline (for speeding up performance).
    2. Interfaces of AppDef_Compute::Parametrization(...) and BRepAlgo_BooleanOperations::SetApproxParameters() methods have been changed.
    3. Overloaded methods for ApproxInt_Approx::SetParameters(...), TopOpeBRepTool_GeomTool::GetTolerances(...) and TopOpeBRepTool_GeomTool::SetTolerances(...) have been removed (because some fields of these classes are not used more).
    4. Lost comments have been added in BRepApprox_TheMultiLineOfApprox.hxx and GeomInt_TheMultiLineOfWLApprox.hxx files.
    5. Some fields have been deleted from ApproxInt_MultiLine class. Kept members have become constant.
    6. Interface of ksection DRAW-command has been changed.
    7. Some code fragments have been rewritten to make them easier.
    
    Some test cases have been changed according to their new behavior.
(0045788)
nbv (developer)
2015-09-17 14:25

Dear Mikhail,

Please review CR26675 branch.
(0045866)
msv (developer)
2015-09-18 11:46

Please avoid long lines
src\ApproxInt\ApproxInt_Approx.gxx: 103, 107
src\ApproxInt\ApproxInt_MultiLine.gxx: 446
(0045878)
git (administrator)
2015-09-18 13:18

Branch CR26675 has been updated by nbv.

SHA-1: e51dab5702b2485c23bda56a57ba982fcaccf2e5


Detailed log of new commits:

Author: nbv
Date: Fri Sep 18 12:56:47 2015 +0300

    Cosmetic correction in code

(0045879)
nbv (developer)
2015-09-18 13:19

Dear Mikhail,

Please review the current state of CR26675 branch.
(0045888)
msv (developer)
2015-09-18 14:22

Reviewed.
(0045899)
git (administrator)
2015-09-18 16:02

Branch CR26675 has been updated forcibly by apv.

SHA-1: 084dd8259daf42897422830e8f44b9cc093ab4a2
(0045900)
apv (tester)
2015-09-18 16:03

Branch CR26675 has been rebased on the current master
(0045953)
apv (tester)
2015-09-21 15:43

Dear BugMaster,

Branch CR26675 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 084dd8259daf42897422830e8f44b9cc093ab4a2

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
http://occt-tests/CR26675-master-occt-64/Debian70-64/summary.html [^]
http://occt-tests/CR26675-master-occt-64/Windows-64-VC10/summary.html [^]
blend buildevol B3
blend simple X4
boolean bcommon_complex C7 (Linux only)
boolean bsection M7, N2
boolean gdml_private ZD3 (Linux only), ZD6
boolean volumemaker F8, F9, G1
bugs modalg_1 buc60532_2, bug10160_3, buc60555_1, buc60555_2, buc60555_3, bug1255, bug1255_1
bugs modalg_2 bug5805_46, bug22557, bug22864
bugs modalg_3 bug602
bugs modalg_4 bug697_2 (Windows only), bug697_4 (Windows only), bug697_7 (Windows only), bug697_8 (Windows only), bug712_1
bugs modalg_5 bug22585_1, bug24915, bug24981, bug25224, bug25838
bugs moddata_1 bug22759
draft angle G2, J5 (Linux only)
offset with_intersect_80 L6, L8 (Windows only)
http://occt-tests/CR26675-master-products-64/Debian70-64/summary.html [^]
http://occt-tests/CR26675-master-products-64/Windows-64-VC10/summary.html [^]
parasolid doc_1 A,1, A3
parasolid doc_3 A4, A8 (Linux only), B1, B2, B3, B7, B9, C3 (Linux only), D2, D4, D5, D7, E3, E4, E6, E7, E8

Testing on Linux:
Total MEMORY difference: 91687922 / 91842285 [-0.17%]
Total CPU difference: 18583.88999999882 / 18496.399999998957 [+0.47%]

Testing on Windows:
Total MEMORY difference: 56416091 / 56352926 [+0.11%]
Total CPU difference: 16889.448264999115 / 16707.785100499124 [+1.09%]

There are following differences in images found by testdiff:
http://occt-tests/CR26675-master-occt-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR26675-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
http://occt-tests/CR26675-master-products-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR26675-master-products-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
(0046124)
git (administrator)
2015-09-25 12:54

Branch CR26675_1 has been created by nbv.

SHA-1: 0dd2df0fec970fd133dee0f54f0306ec1f3365cb


Detailed log of new commits:

Author: nbv
Date: Wed Sep 23 17:14:16 2015 +0300

    0026675: Eliminate normalization of coordinates in ApproxInt package
    
    Normalization has been eliminated.
    
    Additionally,
    1. Some methods of AppDef_Compute and ApproxInt_MultiLine classes have become inline (for speeding up performance).
    2. Interfaces of AppDef_Compute::Parametrization(...) and BRepAlgo_BooleanOperations::SetApproxParameters() methods have been changed.
    3. Overloaded methods for ApproxInt_Approx::SetParameters(...), TopOpeBRepTool_GeomTool::GetTolerances(...) and TopOpeBRepTool_GeomTool::SetTolerances(...) have been removed (because some fields of these classes are not used more).
    4. Lost comments have been added in BRepApprox_TheMultiLineOfApprox.hxx and GeomInt_TheMultiLineOfWLApprox.hxx files.
    5. Some fields have been deleted from ApproxInt_MultiLine class. Kept members have become constant.
    6. Interface of ksection DRAW-command has been changed.
    7. Some code fragments have been rewritten to make them easier.
    
    Adjusting some test case according to their new behavior.
(0046445)
git (administrator)
2015-10-05 12:52

Branch CR26675_1 has been updated forcibly by nbv.

SHA-1: da637522972271d30522e62fddd9fea621376027
(0046524)
git (administrator)
2015-10-06 16:23

Branch CR26675_1 has been updated forcibly by nbv.

SHA-1: 993eba0167601cf0748b39b5ad95fda0b1acccb8
(0046525)
nbv (developer)
2015-10-06 16:25

Dear Mikhail,

Please review the current state of CR26675_1 branch.
(0046534)
msv (developer)
2015-10-06 17:52

Reviewed.
(0046570)
apv (tester)
2015-10-07 16:04

Dear BugMaster,

Branch CR26675_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 993eba0167601cf0748b39b5ad95fda0b1acccb8

Number of compiler warnings:
occt component:
   Linux: 13 (13 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
http://occt-tests/CR26675-1-master-occt-64/Debian70-64/summary.html [^]
http://occt-tests/CR26675-1-master-occt-64/Windows-64-VC10/summary.html [^]
boolean bcommon_complex C7
bugs modalg_4 bug712_1
draft angle J5 (Linux only)
http://occt-tests/CR26675-1-master-products-64/Debian70-64/summary.html [^]
http://occt-tests/CR26675-1-master-products-64/Windows-64-VC10/summary.html [^]
parasolid doc_1 A1, A3
parasolid doc_3 A4, A8 (Linux only), B1, B2, B3, B7, B9, C3 (Linux only), D2, D4, D5, D7, E3, E4, E6, E7, E8

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 92052145 / 92310145 [-0.28%]
Total CPU difference: 19901.789999999393 / 19801.909999999796 [+0.50%]

Testing on Windows:
Total MEMORY difference: 57994283 / 57924750 [+0.12%]
Total CPU difference: 18169.35846949886 / 18202.867484298957 [-0.18%]

There are following differences in images found by testdiff:
http://occt-tests/CR26675-1-master-occt-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR26675-1-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
http://occt-tests/CR26675-1-master-products-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR26675-1-master-products-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
(0046571)
apv (tester)
2015-10-07 16:06

Dear nbv,

Branch CR26675_1 has been rejected due to:
- regressions/differences/improvements
- differences in images
(0046633)
git (administrator)
2015-10-09 16:09

Branch CR26675_2 has been created by nbv.

SHA-1: 4fd36f5053e21c0092c7ba624afb3d14a36d1655


No new revisions were added by this update.
(0046681)
git (administrator)
2015-10-12 17:48

Branch CR26675_2 has been updated forcibly by nbv.

SHA-1: eb9cc2857e4bb7276231e24352a73db6e0e78370
(0046700)
git (administrator)
2015-10-13 14:05

Branch CR26675_2 has been updated forcibly by nbv.

SHA-1: f375fb5ea9eef02e98ac1012f54028eadc6b67c6
(0046713)
git (administrator)
2015-10-14 10:05

Branch CR26675_2 has been updated forcibly by nbv.

SHA-1: b198ad657b892a756b6477f7b48ac75620708cca
(0046721)
git (administrator)
2015-10-14 11:39

Branch CR26675_2 has been updated forcibly by nbv.

SHA-1: ee788e94051d4d0c498f7f5fed209d571a861747
(0046788)
git (administrator)
2015-10-15 14:19

Branch CR26675_2 has been updated forcibly by nbv.

SHA-1: 252fa7248fd6ed0d04aaf259b6e0e3e4a8ed2e3c
(0046825)
git (administrator)
2015-10-16 09:41

Branch CR26675_2 has been updated forcibly by nbv.

SHA-1: 98fe4dca709d5723c1700772c662fd8e3e7c256e
(0046839)
git (administrator)
2015-10-16 14:41

Branch CR26675_2 has been updated forcibly by nbv.

SHA-1: 5521c813d3b07f6c1b803a6022cb60a6e2df41b6
(0046961)
git (administrator)
2015-10-16 16:35

Branch CR26675_2 has been updated forcibly by nbv.

SHA-1: 9a1c310d83c196bd6686d878cb18581a7d85313b
(0047348)
git (administrator)
2015-10-22 17:59

Branch CR26675_2 has been updated forcibly by nbv.

SHA-1: 7fad9796ddad486d872efef138a336bc0e4c574f
(0047373)
git (administrator)
2015-10-23 13:12

Branch CR26675_2 has been updated forcibly by nbv.

SHA-1: 727a30db549801c5667e2a419e0087135fc48716
(0047382)
nbv (developer)
2015-10-23 14:54

Dear Mikhail,

Please review the current state of CR26675_2 branch (for OCCT) and CR26675_prod branch (for OCCT-products).
(0047448)
git (administrator)
2015-10-26 14:58

Branch CR26675_2 has been updated by nbv.

SHA-1: cfefc680fbc255fbcdc81b88761500d0230a1300


Detailed log of new commits:

Author: nbv
Date: Mon Oct 26 13:53:29 2015 +0300

    Changes in accordance with the last remarks

(0047449)
git (administrator)
2015-10-26 15:09

Branch CR26675_2 has been updated forcibly by nbv.

SHA-1: b73a3ab72880e19477ab79420f55bd405213a2d0
(0047452)
msv (developer)
2015-10-26 16:31

I have answered separately.
(0047473)
git (administrator)
2015-10-27 12:06

Branch CR26675_3 has been created by nbv.

SHA-1: 82ae8a09aaeb3a6cea0feb885c2c384cd868072b


Detailed log of new commits:

Author: nbv
Date: Tue Oct 27 09:35:48 2015 +0300

    0026675: Eliminate normalization of coordinates in ApproxInt package
    
    Normalization has been eliminated.
    
    Additionally,
    1. Some methods of AppDef_Compute and ApproxInt_MultiLine classes have become inline (for speeding up performance).
    2. Interfaces of AppDef_Compute::Parametrization(...) and BRepAlgo_BooleanOperations::SetApproxParameters() methods have been changed.
    3. Overloaded methods for ApproxInt_Approx::SetParameters(...), TopOpeBRepTool_GeomTool::GetTolerances(...) and TopOpeBRepTool_GeomTool::SetTolerances(...) have been removed (because some fields of these classes are not used more).
    4. Lost comments have been added in BRepApprox_TheMultiLineOfApprox.hxx and GeomInt_TheMultiLineOfWLApprox.hxx files.
    5. Some fields have been deleted from ApproxInt_MultiLine class. Kept members have become constant.
    6. Interface of ksection DRAW-command has been changed.
    7. Some code fragments have been rewritten to make them easier.
    8. Function CleanWline(...) has been added in IntPatch_Intersection.cxx file. See comments in code for detail description.
    
    Adjusting some test case according to their new behavior.
    Creation test case for this issue.
(0047484)
nbv (developer)
2015-10-27 14:05

Dear Mikhail,

Please review the current state of CR26675_3 branch (for OCCT) and CR26675_prod branch (for OCCT-products).
(0047494)
msv (developer)
2015-10-27 16:03

Reviewed.
(0047496)
git (administrator)
2015-10-27 16:21

Branch CR26675_3 has been updated forcibly by apv.

SHA-1: 0943964319095f9d2405e12f548215fdbf82458d
(0047497)
apv (tester)
2015-10-27 16:25

Branches CR26675_3 and CR26675_prod have been rebased to the current masters
(0047525)
apv (tester)
2015-10-28 12:26
edited on: 2015-10-28 12:26

Dear BugMaster,

Branch CR26675_3 from occt git-repository (and CR26675_prod from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 0943964319095f9d2405e12f548215fdbf82458d
SHA-1: dd2d9d52d32f1c4d2bf0177717e199e7de61181f

Number of compiler warnings:
occt component:
   Linux: 1 (1 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
http://occt-tests/CR26675-3-CR26675-prod-occt-64/Debian70-64/summary.html [^]
http://occt-tests/CR26675-3-CR26675-prod-occt-64/Windows-64-VC10/summary.html [^]
bugs modalg_4 bug712_1
draft angle J5 (Linux only)
http://occt-tests/CR26675-3-CR26675-prod-products-64/Debian70-64/summary.html [^]
parasolid doc_3 A8, B1, E8

Testing cases:
Not needed

Testing on Linux:
occt component:
Total MEMORY difference: 91888562 / 92275166 [-0.42%]
Total CPU difference: 19779.419999999816 / 19704.679999999687 [+0.38%]
products component:
Total MEMORY difference: 26089416 / 26177906 [-0.34%]
Total CPU difference: 7193.189999999998 / 7329.500000000014 [-1.86%]

Testing on Windows:
occt component:
Total MEMORY difference: 57950399 / 57878952 [+0.12%]
Total CPU difference: 18285.267212499075 / 18110.811294199037 [+0.96%]
products component:
Total MEMORY difference: 17117105 / 17161034 [-0.26%]
Total CPU difference: 5642.727771099962 / 5657.423065299974 [-0.26%]

There are following differences in images found by testdiff:
http://occt-tests/CR26675-3-CR26675-prod-occt-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR26675-3-CR26675-prod-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
boolean bsection N4
boolean bcommon_complex C7
boolean bcut_complex Q1
chamfer dist_angle_complex A3
chamfer dist_dist_complex A3
blend buildevol B3
offset with_intersect_80 N7
bugs modalg_4 bug697_4
bugs modalg_4 bug697_7
bugs modalg_4 bug697_8
bugs modalg_1 bug10232
bugs modalg_3 bug25842
http://occt-tests/CR26675-3-CR26675-prod-products-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR26675-3-CR26675-prod-products-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
parasolid read D3

(0047526)
apv (tester)
2015-10-28 12:28

Dear nbv,

Branches CR26675_3 and CR26675_prod have been rejected due to:
- regressions/differences/improvements
- differences in images
(0047533)
git (administrator)
2015-10-28 14:51

Branch CR26675_4 has been created by nbv.

SHA-1: 742f51ff6bd96ce77f36c57564fa5b67869ca26b


Detailed log of new commits:

Author: nbv
Date: Wed Oct 28 13:03:09 2015 +0300

    0026675: Eliminate normalization of coordinates in ApproxInt package
    
    Normalization has been eliminated.
    
    Additionally,
    1. Some methods of AppDef_Compute and ApproxInt_MultiLine classes have become inline (for speeding up performance).
    2. Interfaces of AppDef_Compute::Parametrization(...) and BRepAlgo_BooleanOperations::SetApproxParameters() methods have been changed.
    3. Overloaded methods for ApproxInt_Approx::SetParameters(...), TopOpeBRepTool_GeomTool::GetTolerances(...) and TopOpeBRepTool_GeomTool::SetTolerances(...) have been removed (because some fields of these classes are not used more).
    4. Lost comments have been added in BRepApprox_TheMultiLineOfApprox.hxx and GeomInt_TheMultiLineOfWLApprox.hxx files.
    5. Some fields have been deleted from ApproxInt_MultiLine class. Kept members have become constant.
    6. Interface of ksection DRAW-command has been changed.
    7. Some code fragments have been rewritten to make them easier.
    8. Function CleanWline(...) has been added in IntPatch_Intersection.cxx file. See comments in code for detail description.
    
    Adjusting some test case according to their new behavior.
    Creation test case for this issue.
(0047534)
nbv (developer)
2015-10-28 14:58
edited on: 2015-10-28 16:03

Dear Mikhail,

Please review CR26675_4 branch (for OCCT). Product-branch (CR26675_prod) kept without changes (we are waiting results of next testing).

(0047547)
msv (developer)
2015-10-28 15:52

Reviewed.
(0047607)
mkv (tester)
2015-10-29 15:10
edited on: 2015-10-29 17:09

Dear BugMaster,
Branch CR26675_4 from occt git-repository (and CR26675_prod from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 742f51ff6bd96ce77f36c57564fa5b67869ca26b
SHA-1: dd2d9d52d32f1c4d2bf0177717e199e7de61181f

Number of compiler warnings:

occt component :
Linux: 1 (1 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
http://occt-tests/CR26675-4-CR26675-products-64/Debian70-64/summary.html [^]
parasolid doc_3 A8, B1, E8

Testing cases:
http://occt-tests/CR26675-4-CR26675-occt-64/Debian70-64/bugs/modalg_6/bug26675.html [^]
http://occt-tests/CR26675-4-CR26675-occt-64/Windows-64-VC10/bugs/modalg_6/bug26675.html [^]
bugs modalg_6 bug26675

Testing on Linux:
occt component :
Total MEMORY difference: 92131524 / 92221362 [-0.10%]
Total CPU difference: 19514.98999999985 / 19449.21999999968 [+0.34%]
products component :
Total MEMORY difference: 26141203 / 26177906 [-0.14%]
Total CPU difference: 7486.709999999977 / 7329.500000000014 [+2.14%]

Testing on Windows:
occt component :
Total MEMORY difference: 57951289 / 57880642 [+0.12%]
Total CPU difference: 18125.397387699017 / 18110.858094499035 [+0.08%]
products component :
Total MEMORY difference: 17115441 / 17161034 [-0.27%]
Total CPU difference: 5573.588127899973 / 5657.423065299974 [-1.48%]

There are following differences in images found by testdiff.
http://occt-tests/CR26675-4-CR26675-occt-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR26675-4-CR26675-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
IMAGE boolean bsection N4: N4.png differs
IMAGE boolean bsection M9: M9.png differs
IMAGE chamfer dist_angle_complex A3: A3.png differs
IMAGE chamfer dist_dist_complex A3: A3.png differs
IMAGE draft angle K9: K9.png differs
IMAGE blend buildevol B3: B3.png differs
IMAGE offset with_intersect_80 N7: N7.png differs
IMAGE bugs modalg_4 bug697_4: bug697_4_Driver1_Viewer1_View1.png differs
IMAGE bugs modalg_4 bug697_7: bug697_7_Driver1_Viewer1_View1.png differs
IMAGE bugs modalg_4 bug697_8: bug697_8_Driver1_Viewer1_View1.png differs
IMAGE bugs modalg_1 bug10232: bug10232.png differs
IMAGE bugs moddata_2 bug271: bug271.png differs
IMAGE bugs moddata_2 bug431: bug431.png differs

http://occt-tests/CR26675-4-CR26675-products-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR26675-4-CR26675-products-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
IMAGE parasolid read D3: D3.png differs

(0047608)
mkv (tester)
2015-10-29 15:10

Dear nbv,
Branch CR26675_4 has been rejected due to:
- regressions/differences/improvements
- differences in images
(0047612)
nbv (developer)
2015-10-29 15:53
edited on: 2015-10-29 16:28

Dear testers,

Please change test script in "parasolid doc_3 A8, B1, E8" (change TODOs only - without reference data). The reason is the results of these test cases are already BAD. The results are not changed by sight.

About differences in images.

1. boolean bsection N4 and boolean bsection M9.
These are regression. However, the reason is described in bugs 0026814 and 0026815. After the fix, result should be returned to OK state.
Now, we should apply these image as new reference data.

2. chamfer dist_angle_complex A3 and chamfer dist_dist_complex A3.
They are not regressions or improvements. Try the following script.

   Draw[]> test chamfer dist_angle_complex A3
   Draw[]> explode result f
   Draw[]> don result_22
   Draw[]> checkshape result_22
#BRepCheck_SelfIntersectingWire
 

Change of isoline for self-intersecting face is normal phenomenon (by the reason of small shifted edge).

More over,
   Draw[]> isos result_22 100

After that, we can see out-boundared isolines even on MASTER.

Now we should apply these image as new reference data.

3. draft angle K9
The picture is the same as on MASTER. Some isolines are shifted only. New result is OK.

4. blend buildevol B3
It is IMPROVEMENT.

5. offset with_intersect_80 N7
New result is better than on MASTER (scattered faces are absent).

6. bugs modalg_4 bug697*
They are really IMPROVEMENT.

7. bugs modalg_1 bug10232
One vertex has been eliminated correctly. Another vertex has been added (it is worse). However, the picture has become symmetrical. It says about more stable work of the algorithm. We should apply these image as new reference data.

8. parasolid read D3
The reason has been described in bug #0026817. Now we should apply this image as new reference data.

9. bugs moddata_2 bug271 and bugs moddata_2 bug431
Location of some poles of curve has been changed. It is the result of new approximation algorithm. New pictures are OK.

(0047613)
nbv (developer)
2015-10-29 15:56

Dear Mikhail,

Please review above said.
(0047616)
msv (developer)
2015-10-29 16:36

Reviewed.
(0047618)
mkv (tester)
2015-10-29 16:42

Dear BugMaster,
following test cases are corrected and pushed to new branch CR26675_prod of products git-repository
parasolid doc_3 A8, B1, E8
(0047619)
mkv (tester)
2015-10-29 16:42

Dear BugMaster,
Branch CR26675_4 is TESTED.
(0047625)
nbv (developer)
2015-10-29 17:33

Additional general remark.

After the fix, new approximation algorithm has became more sensitive to the non-uniform distribution of points (when distance between two neighbor points chops around).

In order to fight this "discomfort", function CleanWline(...) has been added in IntPatch_Intersection.cxx file. However, it should be made more universal.
Theoretically, it must reject points of any Walking-line (not only on surfaces with seam and not only near to the vertices).

Next step for fighting this problem is fix for bug#25929.

More over, we should think of methods for seeking additional points of Walking line in strongly discharged places (e.g. IntWalk_PWalking::SeekAdditionalPoints(...) method and analogical).
(0047639)
msv (developer)
2015-10-30 10:38

It is decided to stop this fix.
Another idea should be put in it.
Instead of eliminating normalization of all spaces, it is decided to normalize only parametric spaces using resolution values.
(0047648)
git (administrator)
2015-10-30 13:34

Branch CR26675_5 has been created by nbv.

SHA-1: 746a041462eeb7800cac76720adc41e0bbe25f6a


Detailed log of new commits:

Author: nbv
Date: Fri Oct 30 13:33:51 2015 +0300

    0026675: Eliminate normalization of coordinates in ApproxInt package
    
    Normalization has been eliminated (draft version).
(0047662)
git (administrator)
2015-10-30 15:56

Branch CR26675_5 has been updated forcibly by nbv.

SHA-1: 1538fb4e5cc5e203a10ed269a1ac5a5a85b9e84b
(0047895)
git (administrator)
2015-11-06 16:58

Branch CR26675_6 has been created by nbv.

SHA-1: 94e3db07ed73ac8666b98c2bdf14a5913d268938


Detailed log of new commits:

Author: nbv
Date: Thu Nov 5 16:49:48 2015 +0300

    0026675: Eliminate normalization of coordinates in ApproxInt package
(0047949)
git (administrator)
2015-11-09 14:14

Branch CR26675_4 has been updated forcibly by nbv.

SHA-1: 7d2da0f5603e8036bc94e8a881959bcc62b7e434
(0047974)
git (administrator)
2015-11-10 09:50

Branch CR26675_6 has been updated forcibly by nbv.

SHA-1: 2b91ad5634984c13dec0625373882e317d6a0f80
(0048655)
nbv (developer)
2015-11-30 13:09

Dear Bugmaster,

Fix for this issue has been created and pushed to the branch CR26431RI. The problem has been fixed completely.

New test case for this issue has already been created and pushed to the branch CR26431RI.

Result of its testing is OK (see 0026431:0048650):
http://occt-tests/CR26431RI-CR26431-final-prod-occt-64/Debian70-64/bugs/modalg_6/bug26675.html [^]
http://occt-tests/CR26431RI-CR26431-final-prod-occt-64/Windows-64-VC10/bugs/modalg_6/bug26675.html [^]

Consequently, we should close this issue.
(0048657)
apv (tester)
2015-11-30 13:24

Tested together with #26431

Testing cases:
bugs modalg_6 bug26675 - OK
http://occt-tests/CR26431RI-CR26431-final-prod-occt-64/Debian70-64/bugs/modalg_6/bug26675.html [^]
http://occt-tests/CR26431RI-CR26431-final-prod-occt-64/Windows-64-VC10/bugs/modalg_6/bug26675.html [^]
(0048786)
bugmaster (administrator)
2015-12-07 12:47

Integrated with fix for 25431
(0053142)
git (administrator)
2016-04-17 14:23

Branch CR26675 has been deleted by kgv.

SHA-1: 084dd8259daf42897422830e8f44b9cc093ab4a2
(0053143)
git (administrator)
2016-04-17 14:23

Branch CR26675_1 has been deleted by kgv.

SHA-1: 993eba0167601cf0748b39b5ad95fda0b1acccb8
(0053144)
git (administrator)
2016-04-17 14:23

Branch CR26675_2 has been deleted by kgv.

SHA-1: b73a3ab72880e19477ab79420f55bd405213a2d0
(0053145)
git (administrator)
2016-04-17 14:23

Branch CR26675_3 has been deleted by kgv.

SHA-1: 0943964319095f9d2405e12f548215fdbf82458d
(0053146)
git (administrator)
2016-04-17 14:23

Branch CR26675_4 has been deleted by kgv.

SHA-1: 7d2da0f5603e8036bc94e8a881959bcc62b7e434
(0053147)
git (administrator)
2016-04-17 14:23

Branch CR26675_5 has been deleted by kgv.

SHA-1: 1538fb4e5cc5e203a10ed269a1ac5a5a85b9e84b
(0053148)
git (administrator)
2016-04-17 14:23

Branch CR26675_6 has been deleted by kgv.

SHA-1: 2b91ad5634984c13dec0625373882e317d6a0f80

- Issue History
Date Modified Username Field Change
2015-09-10 15:49 nbv New Issue
2015-09-10 15:49 nbv Assigned To => msv
2015-09-10 15:49 nbv Assigned To msv => nbv
2015-09-10 15:49 nbv Status new => assigned
2015-09-10 15:50 nbv Relationship added related to 0026431
2015-09-10 16:09 msv Summary Delete normalize of space in ApproxInt package => Eliminate normalization of coordinates in ApproxInt package
2015-09-10 16:09 msv Description Updated View Revisions
2015-09-10 16:11 msv Product Version => 6.9.1
2015-09-14 09:23 nbv Relationship added related to 0025709
2015-09-17 14:23 git Note Added: 0045787
2015-09-17 14:25 nbv Note Added: 0045788
2015-09-17 14:25 nbv Assigned To nbv => msv
2015-09-17 14:25 nbv Status assigned => resolved
2015-09-17 14:25 nbv Steps to Reproduce Updated View Revisions
2015-09-18 11:46 msv Note Added: 0045866
2015-09-18 11:46 msv Assigned To msv => nbv
2015-09-18 11:46 msv Status resolved => assigned
2015-09-18 13:18 git Note Added: 0045878
2015-09-18 13:19 nbv Note Added: 0045879
2015-09-18 13:19 nbv Assigned To nbv => msv
2015-09-18 13:19 nbv Status assigned => resolved
2015-09-18 14:22 msv Note Added: 0045888
2015-09-18 14:22 msv Assigned To msv => bugmaster
2015-09-18 14:22 msv Status resolved => reviewed
2015-09-18 15:11 apv Assigned To bugmaster => apv
2015-09-18 16:02 git Note Added: 0045899
2015-09-18 16:03 apv Note Added: 0045900
2015-09-21 15:43 apv Note Added: 0045953
2015-09-21 15:43 apv Assigned To apv => nbv
2015-09-21 15:43 apv Status reviewed => assigned
2015-09-22 16:49 nbv Relationship added related to 0026020
2015-09-25 12:54 git Note Added: 0046124
2015-10-01 16:16 nbv Relationship added related to 0026740
2015-10-05 12:52 git Note Added: 0046445
2015-10-06 16:23 git Note Added: 0046524
2015-10-06 16:25 nbv Note Added: 0046525
2015-10-06 16:25 nbv Assigned To nbv => msv
2015-10-06 16:25 nbv Status assigned => resolved
2015-10-06 17:52 msv Note Added: 0046534
2015-10-06 17:52 msv Assigned To msv => bugmaster
2015-10-06 17:52 msv Status resolved => reviewed
2015-10-06 19:14 apv Assigned To bugmaster => apv
2015-10-07 15:50 apv Test case number => Not needed
2015-10-07 16:04 apv Note Added: 0046570
2015-10-07 16:04 apv Assigned To apv => nbv
2015-10-07 16:04 apv Status reviewed => assigned
2015-10-07 16:06 apv Note Added: 0046571
2015-10-09 16:09 git Note Added: 0046633
2015-10-12 17:48 git Note Added: 0046681
2015-10-13 14:05 git Note Added: 0046700
2015-10-14 10:05 git Note Added: 0046713
2015-10-14 11:39 git Note Added: 0046721
2015-10-15 11:41 nbv Relationship added related to 0026777
2015-10-15 14:19 git Note Added: 0046788
2015-10-16 09:41 git Note Added: 0046825
2015-10-16 14:41 git Note Added: 0046839
2015-10-16 16:35 git Note Added: 0046961
2015-10-22 17:12 nbv Relationship added related to 0025929
2015-10-22 17:59 git Note Added: 0047348
2015-10-23 13:12 git Note Added: 0047373
2015-10-23 14:54 nbv Note Added: 0047382
2015-10-23 14:54 nbv Assigned To nbv => msv
2015-10-23 14:54 nbv Status assigned => resolved
2015-10-23 14:54 nbv Steps to Reproduce Updated View Revisions
2015-10-26 14:58 git Note Added: 0047448
2015-10-26 15:09 git Note Added: 0047449
2015-10-26 16:31 msv Note Added: 0047452
2015-10-26 16:31 msv Status resolved => assigned
2015-10-27 10:20 nbv Relationship added related to 0026814
2015-10-27 12:06 git Note Added: 0047473
2015-10-27 12:06 nbv Relationship added related to 0026815
2015-10-27 12:07 nbv Relationship added related to 0026816
2015-10-27 12:07 nbv Relationship added related to 0026752
2015-10-27 14:00 nbv Relationship added related to 0026817
2015-10-27 14:03 nbv Assigned To msv => nbv
2015-10-27 14:05 nbv Note Added: 0047484
2015-10-27 14:05 nbv Assigned To nbv => msv
2015-10-27 14:05 nbv Status assigned => resolved
2015-10-27 16:03 msv Note Added: 0047494
2015-10-27 16:03 msv Assigned To msv => bugmaster
2015-10-27 16:03 msv Status resolved => reviewed
2015-10-27 16:06 apv Assigned To bugmaster => apv
2015-10-27 16:21 git Note Added: 0047496
2015-10-27 16:25 apv Note Added: 0047497
2015-10-28 11:33 nbv Relationship added related to 0026417
2015-10-28 12:26 apv Note Added: 0047525
2015-10-28 12:26 apv Assigned To apv => nbv
2015-10-28 12:26 apv Status reviewed => assigned
2015-10-28 12:26 apv Note Edited: 0047525 View Revisions
2015-10-28 12:28 apv Note Added: 0047526
2015-10-28 14:51 git Note Added: 0047533
2015-10-28 14:58 nbv Note Added: 0047534
2015-10-28 14:58 nbv Assigned To nbv => msv
2015-10-28 14:58 nbv Status assigned => resolved
2015-10-28 15:52 msv Note Added: 0047547
2015-10-28 15:52 msv Assigned To msv => bugmaster
2015-10-28 15:52 msv Status resolved => reviewed
2015-10-28 16:03 nbv Note Edited: 0047534 View Revisions
2015-10-28 17:18 mkv Assigned To bugmaster => mkv
2015-10-29 15:10 mkv Note Added: 0047607
2015-10-29 15:10 mkv Assigned To mkv => nbv
2015-10-29 15:10 mkv Status reviewed => assigned
2015-10-29 15:10 mkv Note Added: 0047608
2015-10-29 15:53 nbv Note Added: 0047612
2015-10-29 15:56 nbv Note Added: 0047613
2015-10-29 15:56 nbv Assigned To nbv => msv
2015-10-29 15:56 nbv Status assigned => resolved
2015-10-29 16:12 nbv Note Edited: 0047612 View Revisions
2015-10-29 16:13 nbv Note Edited: 0047612 View Revisions
2015-10-29 16:28 nbv Note Edited: 0047612 View Revisions
2015-10-29 16:28 nbv Note Edited: 0047612 View Revisions
2015-10-29 16:36 msv Note Added: 0047616
2015-10-29 16:36 msv Assigned To msv => bugmaster
2015-10-29 16:36 msv Status resolved => reviewed
2015-10-29 16:42 mkv Note Added: 0047618
2015-10-29 16:42 mkv Note Added: 0047619
2015-10-29 16:42 mkv Status reviewed => tested
2015-10-29 17:07 mkv Test case number Not needed => bugs modalg_6 bug26675
2015-10-29 17:09 mkv Note Edited: 0047607 View Revisions
2015-10-29 17:33 nbv Note Added: 0047625
2015-10-30 10:38 msv Note Added: 0047639
2015-10-30 10:38 msv Assigned To bugmaster => nbv
2015-10-30 10:38 msv Status tested => assigned
2015-10-30 13:34 git Note Added: 0047648
2015-10-30 15:56 git Note Added: 0047662
2015-11-06 16:58 git Note Added: 0047895
2015-11-09 14:14 git Note Added: 0047949
2015-11-10 09:50 git Note Added: 0047974
2015-11-18 14:43 nbv Relationship added related to 0026896
2015-11-23 17:17 nbv Relationship added related to 0000602
2015-11-30 13:09 nbv Note Added: 0048655
2015-11-30 13:09 nbv Assigned To nbv => bugmaster
2015-11-30 13:09 nbv Status assigned => feedback
2015-11-30 13:17 bugmaster Assigned To bugmaster => apv
2015-11-30 13:24 apv Note Added: 0048657
2015-11-30 13:24 apv Assigned To apv => bugmaster
2015-11-30 13:24 apv Status feedback => tested
2015-12-07 12:47 bugmaster Note Added: 0048786
2015-12-07 12:47 bugmaster Status tested => verified
2015-12-07 12:47 bugmaster Resolution open => fixed
2016-04-17 14:23 git Note Added: 0053142
2016-04-17 14:23 git Note Added: 0053143
2016-04-17 14:23 git Note Added: 0053144
2016-04-17 14:23 git Note Added: 0053145
2016-04-17 14:23 git Note Added: 0053146
2016-04-17 14:23 git Note Added: 0053147
2016-04-17 14:23 git Note Added: 0053148
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:51 aiv Status verified => closed
2016-05-26 17:30 nbv Relationship added related to 0027420
2016-05-26 17:30 nbv Relationship deleted related to 0027420
2016-05-26 17:30 nbv Relationship added has duplicate 0027420
2017-05-05 11:38 nbv Relationship added has duplicate 0028718
2017-12-14 16:36 nbv Relationship added related to 0029387
2017-12-14 16:37 nbv Relationship replaced has duplicate 0029387


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker